from html.parser import HTMLParser

class parser_class(HTMLParser):
    htmlList = []
    def handle_starttag(self, tag, attrs):
        starttag = (0, tag, tuple(attrs))

        self.htmlList.append(starttag)

    def handle_endtag(self, tag):
        endtag = (1, tag)

        self.htmlList.append(endtag)

    def handle_data(self, data):
        innertag = (2, data)

        self.htmlList.append(innertag)

def compile(html):
    # Compiles HTML to a list
    global parser_class
    parser = parser_class()
    parser.feed(html)
    return parser.htmlList
