import dumpster.exceptions as exceptions
import dumpster.extractor as extractor
__name__ = 'dumpster_truck'
class truck:
    def __init__(self, website, options={}):
        self.website=website
        # Format options
        self.options=options
        default_options = {
            'delay':5,
            'debug_output':False,
            'local_file':False,
            'ignore_style':True
        }
        # Remove options that don't exist in the codes
        bad_options = []
        for option_item in self.options.keys():
            if option_item not in default_options.keys():
                bad_options.append(option_item)
        for bad_option in bad_options:
            del(self.options[bad_option])
        del(bad_options) # bad_options variable is not needed anymore
        # Add default options that don't exist in options
        for default_option in default_options.keys():
            if default_option not in self.options.keys():
                self.options[default_option] = default_options[default_option]
        del(default_options) # default_options variable is not needed anymore
        if self.options['local_file']:
            try:
                html_doc = open(website)
                self.rawHTML = html_doc.read()
                self.HTML = extractor.compile(self.rawHTML)
            except FileNotFoundError:
                raise FileNotFoundError('No such file or directory: \''+website+'\'')
        else:
            import requests
            response = requests.get(self.website)
            if str(response.status_code)[0] not in ['4', '5']:
                self.rawHTML = response.content
                self.HTML = extractor.compile(self.rawHTML)
            else:
                raiseError = compile('raise exceptions.HTTP'+str(response.status_code)+'Response', 'RaiseError', 'exec')
                exec(raiseError)
